#include <Wire.h>;

int inputdata = 0; // for incoming serial data
int outputdelay = 0; // value that gets printed that will later be used for the servo delay
void setup() {
  Serial.begin(9600);
}

void loop() {
  // send data only when you receive data:
  if (Serial.available() > 0) {
    inputdata = Serial.parseInt();
    outputdelay = inputdata / 40;
    Serial.print("Distance: ");
    Serial.print(inputdata);
    Serial.print(" mm --> servo delay: ");
    Serial.print(outputdelay);
    Serial.println(" ms");
  }
  else {
    Serial.println("ERROR");
  }
  delay(100);
}
